Subject: RE: bug#36780: 26.1; request: savehist should also save log-edit-comment-ring by default

From: Drew Adams <[email-masked]>
Date: Fri, 23 Aug 2019 11:04:01 -0700 (PDT)

> > `savehist-additional-variables' is explicitly reserved for users to
> > add stuff to, so I don't think it'd be appropriate for log-edit.el
> > to add anything to it.

+1

> I don't see why the solution of customizing
> savehist-additional-variables by the user is not the right one.
> After all, we are not talking about minibuffer history here.

+1

> The savehist package defines itself as being for "saving the
> minibuffer history".  What you suggest makes it a much more general
> facility, and we then would need to review many other variables and
> decide whether they are candidates for saving (some of them are
> already saved by separate features).  Maybe we should do that, but
> that's a much broader issue than this particular bug report.

YAGNI.  Emacs doesn't need to pre-populate a list
of variables to save.  `savehist-additional-variables'
is the right way (for users) to save variables, IMO.